<template>
  <vol-box v-model="show" title="补录数据" :width="800" :height="600">
    <template #content>
      <el-form ref="form" :model="form" label-width="90px">
        <el-form-item label="托盘号">
          <el-input type="text" v-model="this.form.palletCode" readonly></el-input>
        </el-form-item>
        <el-form-item label="出库OR入库" prop="OutIn">
          <el-select v-model="OutIn" placeholder="请选择出库Or入库">
            <el-option label="出库" value="Out" />
            <el-option label="入库" value="In" />
          </el-select>
        </el-form-item>
        <el-form-item label="区域" prop="areaID">
          <el-select v-model="form.areaID" placeholder="请选择区域">
            <el-option label="陈化" value="1" />
            <el-option label="静置" value="2" />
            <el-option label="分容" value="3" />
            <el-option label="高温" value="4" />
            <el-option label="常温1" value="5" />
            <el-option label="常温2" value="6" />
            <el-option label="常温3" value="7" />
          </el-select>
        </el-form-item>
      </el-form>
    </template>
    <template #footer>
      <div>
        <el-button type="danger" size="small" plain @click="submit">
          <i class="el-icon-check">确认</i>
        </el-button>
        <el-button size="small" type="primary" plain @click="() => {
            this.show = false;
          }
          ">
          <i class="el-icon-close">关闭</i>
        </el-button>
      </div>
    </template>
  </vol-box>
</template>

<script>
import VolBox from "@/components/basic/VolBox.vue";
export default {
  components: {
    "vol-box": VolBox,
  },
  data() {
    return {
      OutIn:"",
      form:{
        areaID:"",
        palletCode:""
      },
      show: false,
    };
  },
  methods: {
    open(palletCode) {
      this.show = true;
      this.form.palletCode=palletCode;
    },
    submit() {
      this.$emit("parentCall", ($vue) => {
        if (
          !this.OutIn ||
          !this.form.areaID ||
          !this.form.palletCode||
          this.OutIn==""||
          this.form.areaID==""||
          this.form.palletCode==""
        ) {
          this.$message.error("参数错误");
          return;
        }
        if(this.OutIn=="Out"){
          this.http.post("api/ProcessApply/StockOutDataBack", this.form, "").then((x) => {
          if (!x.status) {
            this.$message.error(x.message);
          } else {
            this.$Message.success("成功");
            this.show = false;
            $vue.refresh();
          }
        });
        }else if(this.OutIn=="In"){
          this.http.post("api/ProcessApply/StockInDataBack", this.form, "").then((x) => {
          if (!x.status) {
            this.$message.error(x.message);
          } else {
            this.$Message.success("成功");
            this.show = false;
            $vue.refresh();
          }
        });
        }
        
      });
    },
  },

};
</script>